Subject: Re: FVWM: fvwm

From: [email-masked] (David Kennedy)
Date: Thu, 13 Feb 1997 22:40:08 GMT

Rory said:
>  >>>>> "Jochen" == Jochen Hayek <[email-masked]> writes:
>  
>  [question about installing fvwm2.0.45 snipped]
>  
>  Jochen> Just as all modern GNU stuff:
>  Jochen> 	tar ztvf PACKAGE.tar.gz
>                       ^
>  
>  I think this should be 'zxvf'.  Otherwise the archive is not
>  extracted, but rather the files contained in it are listed to stdout.
Yes.
I don't think all tar's cope with this though, best to unzip and
then untar.
  
>  Jochen> 	cd PACKAGE
>  Jochen> 	./configure
>  Jochen> 	make
New to me.
  
>  Does fvwm have a 'configure' file?  I compiled 2.0.45 last week and the
>  process was:
>  
>  	edit Fvwm.tmpl
>  	make Makefiles
>  	make
Sigh. And you missed out the 'xmkmf' stage.
The process is:
	gunzip package.tar.gz
	tar xvf package.tar
	cd package
	more README
	more INSTALL
	[do what those files say!]
This is the foolproof method!

>  I compiled v2.0.45, realised I'd left out a critical '/' in one of the
>  paths in Fvwm.tmpl, so made the change to that file, and started the
>  process again.  The trouble was that 'make Makefiles' didn't rebuild
>  the Makefiles in the directories fvwm, modules/*, etc.  It was no
>  problem, as I just deleted all of the old Makefiles and ran
>  'make Makefiles' again, but shouldn't make detect the change in
>  Fvwm.tmpl (which, after all, affects xmkmf's output in this case).
Surely you really wanted to do a 'make clean'?
That should've sorted you out nicely.

-- 
David Kennedy, Dept. of Pure & Applied Physics, Queen's University of Belfast
Email: [email-masked] | URL: http://star.pst.qub.ac.uk/~dcjk/
      Hi! I'm a .signature virus! Copy me into yours and join the fun!       
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].